#!/bin/bash
cdir=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
label="boot-log"
cd "${cdir}"
log=$(LC_ALL=C ioreg -l -pIODeviceTree | \
sed -nE "s@.*${label}.*<([0-9a-fA-F]*)>.*@\1@p" | \
xxd -r -p)
echo "${log}" > "${cdir}/${label}.txt"